def ItemHead(ea):
      if idaapi.isTail(idaapi.get_flags_novalue(ea)):
            ea = idaapi.prev_not_tail(ea)
      return ea

def ApplyVxSymbol(ea):
	unk0 = Dword(ea)
	name_ea = Dword(ea+4)
	target_ea = Dword(ea+8)
	unk = Dword(ea+12)
	flags = Dword(ea+16)

	if flags==0x300: # external symbol
		return

	if isTail(GetFlags(target_ea)):
		MakeUnkn(ItemHead(target_ea), DOUNK_EXPAND) # object has no attribute 'get_item_head'

	MakeName(target_ea, GetString(name_ea))

	if flags==0x500: # code symbol
		MakeFunction(target_ea)
	elif flags==0x700: # initialized data
		pass
	elif flags==0x900: # uninitialized data
		pass
	elif flags==0x1100: # uninitialized data
		pass
	else:
		print "%08X: unknown symbol type %08X" % (ea, flags)


def ApplyVxSymbols(ea, count):
	for i in xrange(count):
		ApplyVxSymbol(ea+i*20)

print "Use ApplyVxSymbols(sym_table_ea, sym_count)"
print "Look for \"Adding %ld symbols\" string to find ea and count"
